﻿<?xml version="1.0" encoding="utf-8"?>
<!--Updated by Lihua at 10/28/2008-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"  encoding="utf-8"/>

  <!--============================================-->
  <!-- always match the root first-->
  <xsl:template match="/">
    <head>
      <title>log.xml</title>
    </head>
    <body bgcolor="white">
      <xsl:apply-templates/>
    </body>
  </xsl:template>
  <!--============================================-->
  <xsl:template match="Msg">
    <table width="100%" border="0">
      <tr>
        <td>
          <!--<hr/>-->
        </td>
      </tr>
    </table>
    <xsl:apply-templates />
  </xsl:template>
  <!--============================================-->
  <xsl:template match="LogEntry">

    <table width="100%" border="0">
      <tr>
        <td>
          <!-- write the entry as a link, for expand/collapse -->
          <!-- Display the time -->
          <font>
            <xsl:attribute name="style">color: black;</xsl:attribute>
            <xsl:value-of select="@time"/>
          </font>
          <!-- Display the type -->
          <font>
            <xsl:attribute name="style">font-weight:bold;</xsl:attribute>
            [<xsl:value-of select="@type"/>]
          </font>
          <!-- Logger -->
          <xsl:if test="@type='Debug'">
            <font color="black">
              <xsl:value-of select="text()" />
            </font>
          </xsl:if>
          <xsl:if test="@type='Error'">
            <font color="red">
              <xsl:value-of select="text()" />
            </font>
          </xsl:if>
          <xsl:if test="@type='Info'">
            <font color="green">
              <xsl:value-of select="text()" />
            </font>
          </xsl:if>
          <xsl:if test="@type='Warning'">
            <font color="orange">
              <xsl:value-of select="text()" />
            </font>
          </xsl:if>
          <!--Logger-->
        </td>
      </tr>
    </table>

  </xsl:template>

  <!--============================================-->
  <xsl:template match="MachineInfo">
    <table border="0" rules="all" bordercolor="#ccddff" cellspacing="1" style="font: 11pt Tahoma;text-align: left;float:left">
      <tr>
        <td>
          <b>Machine Name</b>
        </td>
        <td>
          <xsl:value-of select="MachineName" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Machine IP</b>
        </td>
        <td>
          <xsl:value-of select="MachineIP" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Memory Total</b>
        </td>
        <td>
          <xsl:value-of select="MemoryTotal" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Memory Available</b>
        </td>
        <td>
          <xsl:value-of select="MemoryAvailable" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Hard Driver Total Space</b>
        </td>
        <td>
          <xsl:value-of select="HarddriveTotalSpace" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Hard Drive Free Space</b>
        </td>
        <td>
          <xsl:value-of select="HarddriveFreeSpace" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Operation System Version</b>
        </td>
        <td>
          <xsl:value-of select="OperatingSystemVersion" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Operation System Language</b>
        </td>
        <td>
          <xsl:value-of select="OperatingSystemLanguage" />
        </td>
      </tr>
      <tr>
        <td>
          <b>Logger Version</b>
        </td>
        <td>
          <xsl:value-of select="LoggerVersion" />
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>